LinuxQMISDK: nasIndicationRegisterReq Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
nasIndicationRegisterReq Struct Reference

## Data Fields
BYTE * | pSystemSelectionInd
BYTE * | pDDTMInd
BYTE * | pServingSystemInd
BYTE * | pDualStandByPrefInd
BYTE * | pSubscriptionInfoInd
BYTE * | pNetworkTimeInd
BYTE * | pSysInfoInd
BYTE * | pSignalStrengthInd
BYTE * | pErrorRateInd
BYTE * | pHDRNewUATIAssInd
BYTE * | pHDRSessionCloseInd
BYTE * | pManagedRoamingInd

## Detailed Description

This structure contains the SLQSNasIndicationRegisterExt request parameters.

Parameters

  pSystemSelectionInd | [Optional] System Selection Preference indication registration. The following callbacks would not be invoked if the indication is disabled. tFNRoamingIndicator tFNDataCapabilities and tFNServingSystem 0x00 - Disable 0x01 - Enable
  pDDTMInd | [Optional] DDTM (Data Dedicated Transmission Mode) indication registration. The following callbacks would not be invoked if the indication is disabled. tFNDDTM 0x00 - Disable 0x01 - Enable
  pServingSystemInd | [Optional] Serving System indication registration. The following callbacks would not be invoked if the indication is disabled. tFNBandPreference 0x00 - Disable 0x01 - Enable
  pDualStandByPrefInd | [Optional] Dual Standby Preference indication registration.The following callbacks would not be invoked if the indication is disabled. tFNDualStandByPref 0x00 - Disable 0x01 - Enable
  pSubscriptionInfoInd | [Optional] Subscription Information indication registration.The following callbacks would not be invoked if the indication is disabled. tFNSubscriptionInfo 0x00 - Disable 0x01 - Enable
  pNetworkTimeInd | [Optional] Network Time indication registration.The following callbacks would not be invoked if the indication is disabled. tFNNetworkTime 0x00 - Disable 0x01 - Enable
  pSysInfoInd | [Optional] System Information indication registration.The following callbacks would not be invoked if the indication is disabled. tFNSysInfo 0x00 - Disable 0x01 - Enable
  pSignalStrengthInd | [Optional] Signal Strength indication registration.The following callbacks would not be invoked if the indication is disabled. tFNSigInfo 0x00 - Disable 0x01 - Enable
  pErrorRateInd | [Optional] Error Rate indication registration.The following callbacks would not be invoked if the indication is disabled. tFNErrRate 0x00 - Disable 0x01 - Enable
  pHDRNewUATIAssInd | [Optional] HDR New UATI Assigned indication registration.The following callbacks would not be invoked if the indication is disabled. tFNHDRUATIUpdate 0x00 - Disable 0x01 - Enable
  pHDRSessionCloseInd | [Optional] HDR Session Closed indication registration.The following callbacks would not be invoked if the indication is disabled. tFNHDRSessionClose 0x00 - Disable 0x01 - Enable
  pManagedRoamingInd | [Optional] Managed Roaming indication registration.The following callbacks would not be invoked if the indication is disabled. tFNManagedRoaming 0x00 - Disable 0x01 - Enable

Note
  Atleast one parameter must be provided as request. 'NULL' value confirms that the indication value is not sent.

## Field Documentation

BYTE* nasIndicationRegisterReq::pDDTMInd

BYTE* nasIndicationRegisterReq::pDualStandByPrefInd

BYTE* nasIndicationRegisterReq::pErrorRateInd

BYTE* nasIndicationRegisterReq::pHDRNewUATIAssInd

BYTE* nasIndicationRegisterReq::pHDRSessionCloseInd

BYTE* nasIndicationRegisterReq::pManagedRoamingInd

BYTE* nasIndicationRegisterReq::pNetworkTimeInd

BYTE* nasIndicationRegisterReq::pServingSystemInd

BYTE* nasIndicationRegisterReq::pSignalStrengthInd

BYTE* nasIndicationRegisterReq::pSubscriptionInfoInd

BYTE* nasIndicationRegisterReq::pSysInfoInd

BYTE* nasIndicationRegisterReq::pSystemSelectionInd